import { default as React } from 'react';
import { Content, ScrollUpButton, ScrollDownButton, Trigger, Label, Item } from '@radix-ui/react-select';
declare const Select: React.FC<import('@radix-ui/react-select').SelectProps>;
declare const SelectGroup: React.ForwardRefExoticComponent<import('@radix-ui/react-select').SelectGroupProps & React.RefAttributes<HTMLDivElement>>;
declare const SelectValue: React.ForwardRefExoticComponent<import('@radix-ui/react-select').SelectValueProps & React.RefAttributes<HTMLSpanElement>>;
/**
 * Select Trigger where handle user interaction like click, focus, hover
 */
declare const SelectTrigger: React.FC<React.ComponentPropsWithRef<typeof Trigger> & {
    size?: 'default' | 'sm';
}>;
/**
 * Select Scroll Up Button with icon
 */
declare const SelectScrollUpButton: React.FC<React.ComponentPropsWithRef<typeof ScrollUpButton>>;
/**
 * Select Scroll Down Button with icon
 */
declare const SelectScrollDownButton: React.FC<React.ComponentPropsWithRef<typeof ScrollDownButton>>;
/**
 * Select Content where the options are displayed
 */
declare const SelectContent: React.FC<React.ComponentPropsWithRef<typeof Content> & {
    isPortal?: boolean;
}>;
/**
 * Select Label for the group
 */
declare const SelectLabel: React.FC<React.ComponentPropsWithRef<typeof Label>>;
/**
 * Select Item where the option are displayed by field 'label'
 */
declare const SelectItem: React.FC<React.ComponentPropsWithRef<typeof Item>>;
/**
 * Export all the Select Primitives to use in the Select Component
 */
export { Select, SelectGroup, SelectValue, SelectTrigger, SelectContent, SelectLabel, SelectItem, SelectScrollUpButton, SelectScrollDownButton };
